<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.auction.mapper.AuctionSpecialGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="auctionSpecialGoodsResultMap" type="org.springblade.modules.auction.entity.AuctionSpecialGoods">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="special_id" property="specialId"/>
        <result column="goods_id" property="goodsId"/>
        <result column="status" property="status"/>
    </resultMap>


    <select id="selectAuctionSpecialGoodsPage" resultMap="auctionSpecialGoodsResultMap">
        select * from biz_auction_special_goods where is_deleted = 0
    </select>

</mapper>
